Bug 1029858 (CVE-2017-6848)

Summary: VUL-0: CVE-2017-6848: podofo: The PoDoFo::PdfXObject::PdfXObject function in PdfXObject.cpp in PoDoFo 0.9.5allows remote attacker...
Product: [Novell Products] SUSE Security Incidents Reporter: Victor Pereira <vpereira>
Component: IncidentsAssignee: Antonio Larrosa <alarrosa>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: abergmann, mikhail.kasimov, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/181629/
Whiteboard: CVSSv3:NVD:CVE-2017-6848:5.5:(AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H) CVSSv2:NVD:CVE-2017-6848:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P) maint:planned:update
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Comment 1 Johannes Segitz 2018-10-11 08:25:31 UTC
Please submit for this. Thank you
Comment 2 Alexandros Toptsoglou 2019-02-28 15:41:54 UTC
*** Bug 1027777 has been marked as a duplicate of this bug. ***
Comment 3 Alexander Bergmann 2022-04-19 10:36:03 UTC
Upstream commit:
- http://sourceforge.net/p/podofo/code/1846

This was fixed together with bsc#1027778 / CVE-2017-6847, but not mentioned inside the changes file.

References:
https://security-tracker.debian.org/tracker/CVE-2017-6847
https://security-tracker.debian.org/tracker/CVE-2017-6848

(We will keep this bug open until the changes file reference is fixed.)